/* Core styles*/

:root{
    --base-color: #0892A5;
    --accent-color: #DBD56E;
    --white-color: #ffffff;
    --black-color:rgb(32, 32, 31);
    --light-grey: #F7F7F2;
    --dark-grey: #50514F;

}

body{
    margin: 0;
    font-family: 'Times New Roman', Times, serif;
    background:var(--dark-grey);
    color: var(--light-grey);
    font-size: 2.0;
    text-align: center;
}

img{
    display: block;
    width:90%;
    margin: auto;
    margin-top: 0.5em; 
    height: auto;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    
}

h1,h2{
    margin:0;
    padding: 1em 0;
}
h3{
    margin: 0;
    padding:0;
    color: var(--dark-grey);
}
p{
    margin: 1em;
    padding: 1em;
}

.btn{
    display: inline-block;
    background: var(--accent-color);
    color: var(--dark-grey);
    text-decoration: none;
    padding: 1em 2em;
    border: 1px solid rgb(179, 174, 92);
    margin: .5em 0;
}

.btn:hover{
    background: var(--light-grey);
    color: var(--black-color);
}

h1{
    padding-top: 100px;
    padding-bottom: 0;
}
/* Header style*/
#showcase{
    min-height: 350px;
    color: var(--white-color);
    text-align: center;
}
 .bg-img {
    position: absolute;
    background: url("access-book-business-1329066.jpg");
    background-position: center;
    background-repeat: repeat;
    background-size: cover;
    width: 100%;
    height: 350px;
    z-index: -1;
    opacity: 0.2;
}

#shocase .content-wrap{
    padding: 0 1.5em;
}

/*main content style*/

#section-1, #section-3{
    background: var(--white-color);
    color: var(--dark-grey);
    padding-bottom: 2em;
}

#section-2{
    padding: 1em 1em 1em;
    background: var(--base-color);
}

#section-2 ul{
    list-style: none;
    margin: 0;
    padding: 0;
}

#section-2 li{
    margin-bottom: 1em;
    padding: 0em;
    background: var(--light-grey);
    color:var(--dark-grey);
    cursor: pointer;
}
#section-2 li:hover{
    background: var(--accent-color);
}
.card-content{
    padding: 1.5em;
}

/*Footer style*/
footer{
    padding: 2em;
    background: var(--dark-grey);
    color: var(--light-grey);
    text-align: center;
}

a{
    color: var(--base-color);
    cursor: pointer;
    text-decoration: none;

}
a:hover{
    color:var(--accent-color);
}

footer a {
    color: var(--base-color);;
    text-decoration: none;
}
footer a:hover{
    color: var(--accent-color);
}

/* media query*/

@media(min-width: 500px){
    .grid{
        display: grid;
         grid-template-columns: 1fr repeat(2, minmax(auto,25em)) 1fr;
    }

    .content-wraper, #section-2 ul{
        grid-column: 2/4;
    }
    
    #section-3{
        padding-bottom: 1em;
    }
    p{
        padding-top: 0;
    }


    .box{
        grid-column: span 2;
        
    }
    footer div{
        grid-column: span 4;
        
    }
    #section-2 li{
        width:31%;
    }
    #section-2 ul{
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap
    }

}